package fr.nabil;

import fr.nabil.data.VRP;
import fr.nabil.utils.FileReader;

import java.io.File;
import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

public class Main {

    public static void main(String[] args) throws URISyntaxException, IOException {

        List<VRP> vrps = new ArrayList<>();

        ClassLoader classLoader = Main.class.getClassLoader();

        Path vrpPath = Paths.get(classLoader.getResource("vrp").toURI());

        try (Stream<Path> paths = Files.list(vrpPath)) {
            paths.forEach(p -> {
                vrps.add(FileReader.readFile(p.toUri()));
            });
        }

        System.out.println(vrps.getFirst().toString());
    }

}
